dvb_desc_sat Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the satellite delivery system descriptor. More...

`#include <desc_sat.h>`

## Data Fields

uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint32_t | frequency
uint16_t | orbit
uint8_t | modulation_type:2
uint8_t | modulation_system:1
uint8_t | roll_off:2
uint8_t | polarization:2
uint8_t | west_east:1
union { |
uint32_t bitfield |
struct { |
uint32_t fec:4 |
uint32_t symbol_rate:28 |
} |
}; |

## Detailed Description

Structure containing the satellite delivery system descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  frequency | frequency in kHz
  orbit | orbital position in degrees (multiplied by 10)
  west_east | west east flag. 0 = west, 1 = east
  polarization | polarization. 0 = horizontal, 1 = vertical, 2 = left, 3 = right.
  roll_off | roll off alpha factor. 0 = 0.35, 1 = 0.25, 2 = 0.20, 3 = reserved.
  modulation_system | modulation system. 0 = DVB-S, 1 = DVB-S2.
  modulation_type | modulation type. 0 = auto, 1 = QPSK, 2 = 8PSK, 3 = 16-QAM (only for DVB-S2).
  symbol_rate | symbol rate in Kbauds.
  fec | inner FEC (convolutional code)

Definition at line 63 of file desc_sat.h.

## Field Documentation

## [union]

union { ... } dvb_desc_sat

## bitfield

uint32_t dvb_desc_sat::bitfield

Definition at line 76 of file desc_sat.h.

## fec

uint32_t dvb_desc_sat::fec

Definition at line 78 of file desc_sat.h.

## frequency

uint32_t dvb_desc_sat::frequency

Definition at line 68 of file desc_sat.h.

## length

uint8_t dvb_desc_sat::length

Definition at line 65 of file desc_sat.h.

## modulation_system

uint8_t dvb_desc_sat::modulation_system

Definition at line 71 of file desc_sat.h.

## modulation_type

uint8_t dvb_desc_sat::modulation_type

Definition at line 70 of file desc_sat.h.

## next

struct dvb_desc* dvb_desc_sat::next

Definition at line 66 of file desc_sat.h.

## orbit

uint16_t dvb_desc_sat::orbit

Definition at line 69 of file desc_sat.h.

## polarization

uint8_t dvb_desc_sat::polarization

Definition at line 73 of file desc_sat.h.

## roll_off

uint8_t dvb_desc_sat::roll_off

Definition at line 72 of file desc_sat.h.

## symbol_rate

uint32_t dvb_desc_sat::symbol_rate

Definition at line 79 of file desc_sat.h.

## type

uint8_t dvb_desc_sat::type

Definition at line 64 of file desc_sat.h.

## west_east

uint8_t dvb_desc_sat::west_east

Definition at line 74 of file desc_sat.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_sat.h